/* Basic styling */
* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body {
    font-family: Arial, sans-serif;
    background-color: #f4f4f4;
    color: #333;
    padding: 20px;
}

.logo-container {
    text-align: center;
    margin-bottom: 20px;
}

.logo {
    max-width: 150px; /* Ajuste o tamanho conforme necessário */
}

h1 {
    color: #333;
    text-align: center;
    margin-bottom: 20px;
}

.topnav {
    overflow: hidden;
    background-color: rgba(244, 244, 244, 0.8);
    border-radius: 5px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    margin-bottom: 20px;
    border: 1px solid rgba(255, 255, 255, 0.2);
    position: relative;
}

.topnav .tablinks {
    float: left;
    display: block;
    color: #211717;
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
    font-size: 17px;
    border: none;
    cursor: pointer;
    transition: background-color 0.3s;
    border-radius: 5px;
}

.topnav .tablinks:hover {
    background-color: rgba(51, 51, 51, 0.1);
}

.topnav .login-button {
    position: absolute;
    right: 0;
    background-color: #000000;
    color: #f2f2f2;
}

.tab {
    display: none;
    padding: 20px;
    background-color: #fff;
    border-radius: 5px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    margin-bottom: 20px;
}

.tab.active {
    display: block;
}

.instrument-filter {
    margin-bottom: 20px;
    text-align: center;
}

.filter-button {
    background-color: #ddd;
    color: #333;
    border: none;
    padding: 10px 20px;
    margin: 5px;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s;
}

.filter-button:hover {
    background-color: #ccc;
}

.search-filters {
    display: flex;
    justify-content: center;
    gap: 10px;
    margin-bottom: 20px;
}

label {
    display: block;
    margin-bottom: 5px;
    font-weight: bold;
}

input[type="number"],
textarea,
select {
    width: 100%;
    padding: 10px;
    margin-bottom: 15px;
    border: 1px solid #ccc;
    border-radius: 5px;
}

textarea {
    resize: vertical;
    min-height: 100px;
}

button[type="submit"] {
    background-color: #4CAF50;
    color: white;
    padding: 10px 20px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}

button[type="submit"]:hover {
    background-color: #45a049;
}

.offer {
    background-color: #f0f0f0;
    padding: 10px;
    margin-bottom: 10px;
    border-radius: 5px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.offer img {
    max-width: 100px;
    margin-right: 20px;
    cursor: pointer;
}

.details-modal {
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.4);
    padding-top: 60px;
}

.modal-content {
    background-color: #fefefe;
    margin: 5% auto;
    padding: 20px;
    border: 1px solid #888;
    width: 80%;
}

.close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}

.loan-button {
    background-color: #4CAF50;
    color: white;
    padding: 10px 20px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    margin-top: 20px;
}

.loan-button:hover {
    background-color: #45a049;
}

.payment-form {
    display: none;
}

.payment-form.active {
    display: block;
}

.back-button {
    display: inline-block;
    margin-bottom: 20px;
    padding: 10px 20px;
    background-color: #555;
    color: white;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    font-size: 16px;
}

.back-button:hover {
    background-color: #333;
}

.login-container, .register-container {
    max-width: 400px;
    margin: auto;
    padding: 20px;
    border: 1px solid #ccc;
    border-radius: 5px;
    background-color: #f9f9f9;
}

.login-container form, .register-container form {
    display: flex;
    flex-direction: column;
}

.login-container label, .register-container label {
    margin-bottom: 5px;
}

.login-container input, .register-container input {
    margin-bottom: 10px;
    padding: 8px;
    border: 1px solid #ccc;
    border-radius: 4px;
}

.login-container button, .register-container button {
    padding: 10px;
    background-color: #000000;
    color: white;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

.login-container button:hover, .register-container button:hover {
    background-color: #0b410d;
}

.instrument-bar {
    overflow-x: auto;
    overflow-y: hidden;
    white-space: nowrap;
    background-color: rgba(244, 244, 244, 0.8);
    border-radius: 5px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    margin-bottom: 20px;
    border: 1px solid rgba(255, 255, 255, 0.2);
    display: flex;
}

.instrument-bar button {
    display: inline-block;
    color: #333;
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
    font-size: 17px;
    border: none;
    cursor: pointer;
    transition: background-color 0.3s;
    border-radius: 5px;
}

.instrument-bar button:hover {
    background-color: rgba(51, 51, 51, 0.1);
}

.container {
    background: #fff;
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    max-width: 100%;
    width: 100%;
    box-sizing: border-box;
}

.profile-container {
    margin-top: 20px;
}

.profile-info {
    margin-bottom: 20px;
}

.profile-picture {
    text-align: left;
    margin-bottom: 20px;
    margin-left:20px
}

.profile-image {
    max-width: 100px;
    max-height: 100px;
    border-radius: 50%;
    border: 2px solid #ddd;
    margin-bottom: 10px;
}

.upload-button {
    display: inline-block;
    padding: 5px 10px;
    border: 1px solid #ddd;
    border-radius: 5px;
    background-color: #f8f8f8;
    cursor: pointer;
}

.upload-button:hover {
    background-color: #eee;
}

.offers-container {
    margin-bottom: 20px;
}

.offer {
    background: #f9f9f9;
    padding: 15px;
    border: 1px solid #ddd;
    border-radius: 5px;
    margin-bottom: 10px;
}

.offer h3 {
    margin-top: 0;
    color: #555;
}

.offer p {
    margin: 5px 0;
}

.btn {
    display: inline-block;
    padding: 10px 15px;
    margin: 5px 0;
    border: none;
    border-radius: 5px;
    background-color: #28a745;
    color: white;
    cursor: pointer;
}

.btn:hover {
    background-color: #218838;
}

.cancel-btn {
    background-color: #dc3545;
}

.cancel-btn:hover {
    background-color: #c82333;
}
